<?php
/**
 * Blocks Initializer
 *
 * Enqueue CSS/JS of all the blocks.
 *
 * @since   1.0.3
 * @package nichetablewpwp
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


function nichetablewp_block_assets() {
	// Styles.
	wp_enqueue_style(
		'nichetablewpwp-cgb-style-css', // Handle.
		plugins_url( 'dist/blocks.style.build.css', dirname( __FILE__ ) ), // Block style CSS.
		array( 'wp-editor' ), // Dependency to include the CSS after it.
		null // filemtime( plugin_dir_path( __DIR__ ) . 'dist/blocks.style.build.css' ) // Version: File modification time.
	);
} // End function nichetablewp_block_assets().
// Hook: Frontend assets.
add_action( 'enqueue_block_assets', 'nichetablewp_block_assets' );



function nichetablewp_editor_assets() {
	// Scripts.
	wp_enqueue_script(
		'nichetablewpwp-cgb-block-js', // Handle.
		plugins_url( '/dist/blocks.build.js', dirname( __FILE__ ) ), // Block.build.js: We register the block here. Built with Webpack.
		array( 'wp-blocks', 'wp-i18n', 'wp-element', 'wp-editor' ), // Dependencies, defined above.
		null, // filemtime( plugin_dir_path( __DIR__ ) . 'dist/blocks.build.js' ), // Version: filemtime — Gets file modification time.
		true // Enqueue the script in the footer.
	);
	// Styles.
	wp_enqueue_style(
		'nichetablewpwp-cgb-block-editor-css', // Handle.
		plugins_url( 'dist/blocks.editor.build.css', dirname( __FILE__ ) ), // Block editor CSS.
		array( 'wp-edit-blocks' ), // Dependency to include the CSS after it.
		null // filemtime( plugin_dir_path( __DIR__ ) . 'dist/blocks.editor.build.css' ) // Version: File modification time.
	);
} // End function nichetablewp_editor_assets().
// Hook: Editor assets.
add_action( 'enqueue_block_editor_assets', 'nichetablewp_editor_assets' );






// CSS and JS For Admin
function admin_style() {
	wp_enqueue_style('admin-styles', plugins_url().'/nichetable/dist/nichetable-getting-started.css');
  }
  add_action('admin_enqueue_scripts', 'admin_style');



 